Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Core.ProgressEventArgs Class Reference

Event arguments during processing of a single file or directory. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Core.ProgressEventArgs:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Core.ProgressEventArgs:
[legend]

## Public Member Functions
| ProgressEventArgs (string name, long processed, long target)
| Initialise a new instance of ScanEventArgs

## Properties
string | Name`[get]`
| The name for this event if known.
bool | ContinueRunning`[get, set]`
| Get set a value indicating wether scanning should continue or not.
float | PercentComplete`[get]`
| Get a percentage representing how much of the Target has been processed.
long | Processed`[get]`
| The number of bytes processed so far.
long | Target`[get]`
| The number of bytes to process.

## Private Attributes
string | name_
long | processed_
long | target_
bool | continueRunning_ = true

## Detailed Description

Event arguments during processing of a single file or directory.

## Constructor & Destructor Documentation

## ◆ ProgressEventArgs()

ICSharpCode.SharpZipLib.Core.ProgressEventArgs.ProgressEventArgs | ( | string | name,
|  | long | processed,
|  | long | target )

Initialise a new instance of ScanEventArgs

Parameters

  name | The file or directory name if known.
  processed | The number of bytes processed so far
  target | The total number of bytes to process, 0 if not known

## Member Data Documentation

## ◆ continueRunning_

bool ICSharpCode.SharpZipLib.Core.ProgressEventArgs.continueRunning_ = true
| private

## ◆ name_

string ICSharpCode.SharpZipLib.Core.ProgressEventArgs.name_
| private

## ◆ processed_

long ICSharpCode.SharpZipLib.Core.ProgressEventArgs.processed_
| private

## ◆ target_

long ICSharpCode.SharpZipLib.Core.ProgressEventArgs.target_
| private

## Property Documentation

## ◆ ContinueRunning

bool ICSharpCode.SharpZipLib.Core.ProgressEventArgs.ContinueRunning
| get set

Get set a value indicating wether scanning should continue or not.

## ◆ Name

string ICSharpCode.SharpZipLib.Core.ProgressEventArgs.Name
| get

The name for this event if known.

## ◆ PercentComplete

float ICSharpCode.SharpZipLib.Core.ProgressEventArgs.PercentComplete
| get

Get a percentage representing how much of the Target has been processed.

0.0 to 100.0 percent; 0 if target is not known.

## ◆ Processed

long ICSharpCode.SharpZipLib.Core.ProgressEventArgs.Processed
| get

The number of bytes processed so far.

## ◆ Target

long ICSharpCode.SharpZipLib.Core.ProgressEventArgs.Target
| get

The number of bytes to process.

Target may be 0 or negative if the value isnt known.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Core/FileSystemScanner.cs